@echo off
title 挂盘部署370
color 1c
echo 切记修改配置文件中的地址为370服务端IP
start xConfig.ini
SET /P part=   请输入挂载的盘符（只需字母）Enter确认：
copy Config.exe %part%:\Windows\ /y
copy xConfig.ini %part%:\Windows\ /y
cd C:\Windows\System32\
SET r=hklm\wzSetup
SET t=%r%\ControlSet001\services\Config
reg load "%r%" %part%:\Windows\system32\config\SYSTEM

Reg.exe add "%t%" /v "Type" /t REG_DWORD /d "272" /f
Reg.exe add "%t%" /v "Start" /t REG_DWORD /d "2" /f
Reg.exe add "%t%" /v "ErrorControl" /t REG_DWORD /d "1" /f
Reg.exe add "%t%" /v "ImagePath" /t REG_EXPAND_SZ /d "C:\Windows\Config.exe /service" /f
Reg.exe add "%t%" /v "DisplayName" /t REG_SZ /d "Config" /f
Reg.exe add "%t%" /v "Group" /t REG_SZ /d "Event Log" /f
Reg.exe add "%t%" /v "WOW64" /t REG_DWORD /d "1" /f
Reg.exe add "%t%" /v "ObjectName" /t REG_SZ /d "LocalSystem" /f
Reg.exe add "%t%" /v "FailureActions" /t REG_BINARY /d "ffffffff000000000000000001000000140000000100000001000000" /f
reg unload "%r%"

echo.
echo 操作完成，请保存镜像还原点.
echo.
echo --- By: 云阳Madman
echo.
pause
